> ## Documentation Index
> Fetch the complete documentation index at: https://docs.landing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ADE List Parse Jobs

> List all async parse jobs associated with your API key. Returns the list of jobs
or an error response. For EU users, use this endpoint:


`https://api.va.eu-west-1.landing.ai/v1/ade/parse/jobs`.



## OpenAPI

````yaml /ade/va_openapi_ade2.json get /v1/ade/parse/jobs
openapi: 3.1.0
info:
  title: Vision Tools API
  version: 0.1.0
servers:
  - url: https://api.va.landing.ai
    description: Production vision tools API
security: []
paths:
  /v1/ade/parse/jobs:
    get:
      tags:
        - Tools
      summary: ADE List Parse Jobs
      description: >-
        List all async parse jobs associated with your API key. Returns the list
        of jobs

        or an error response. For EU users, use this endpoint:



        `https://api.va.eu-west-1.landing.ai/v1/ade/parse/jobs`.
      operationId: tool_ade_list_parse_jobs_v1_ade_parse_jobs_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Page number (0-indexed)
            default: 0
            title: Page
          description: Page number (0-indexed)
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of items per page
            default: 10
            title: Pagesize
          description: Number of items per page
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - cancelled
                  - completed
                  - failed
                  - pending
                  - processing
                type: string
              - type: 'null'
            description: Filter by job status.
            title: Status
          description: Filter by job status.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Basic Auth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl -X GET 'https://api.va.landing.ai/v1/ade/parse/jobs' \
              -H 'Authorization: Bearer YOUR_API_KEY'
        - lang: Python
          label: Python
          source: |-
            import requests

            headers = {
                'Authorization': 'Bearer YOUR_API_KEY'
            }

            url = 'https://api.va.landing.ai/v1/ade/parse/jobs'

            response = requests.get(url, headers=headers)
            print(response.json())
        - lang: JavaScript
          label: Node.js
          source: |-
            const axios = require('axios');

            const url = 'https://api.va.landing.ai/v1/ade/parse/jobs';

            axios.get(url, {
              headers: {
                'Authorization': 'Bearer YOUR_API_KEY'
              }
            })
            .then(response => console.log(response.data))
            .catch(error => console.error(error));
components:
  schemas:
    JobsListResponse:
      properties:
        jobs:
          items:
            $ref: '#/components/schemas/JobSummary'
          type: array
          title: Jobs
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        has_more:
          type: boolean
          title: Has More
          default: false
      type: object
      required:
        - jobs
      title: JobsListResponse
      description: Response for listing jobs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobSummary:
      properties:
        job_id:
          type: string
          title: Job Id
        status:
          type: string
          title: Status
        received_at:
          type: integer
          title: Received At
        progress:
          type: number
          maximum: 1
          minimum: 0
          title: Progress
          description: >-
            Job completion progress as a decimal from 0 to 1, where 0 is not
            started, 1 is finished, and values between 0 and 1 indicate work in
            progress.
        failure_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Reason
      type: object
      required:
        - job_id
        - status
        - received_at
        - progress
      title: JobSummary
      description: Summary of a job for listing.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Basic Auth:
      type: http
      description: >-
        Your unique API key for authentication.


        Get your API key here: https://va.landing.ai/settings/api-key.


        If using the EU endpoint, get your API key here:
        https://va.eu-west-1.landing.ai/settings/api-key.
      scheme: bearer
      bearerFormat: Basic

````